Description

Hi,

When I edit a feature on Qgis-server and my layers add a table join:

 if I insert, it's Ok,

 but if I update or delete Qgis-server bug and say:

warning 2016-04-06 14:48:33 [2] file_get_contents(

http://127.0.0.1/cgi-bin/qgis_mapserv.fcgi?featureid=inventaire_gps.7061&amp;amp;geometryname=none&amp;amp;map=%2Fhome%

Fechant_messicol.qgs&amp;amp;outputformat=GeoJSON&amp;amp;request=GetFeature&amp;amp;service=WFS&amp;amp;typename=inventaire_gps&amp;amp;version=1.0.0

=inventaire_gps&amp;amp;version=1.0.0): failed to open stream: HTTP request failed! HTTP/1.1 500 Internal Server Error^M

test with qgis desktop 2.14.1 and qgis-server 2.14.1

If no table join on layer, there is no problem for update or delete.

I think there is another issue but I can not recreate it.

Associated revisions

Revision a6aa8556 - 2016-04-08 03:26 PM - René-Luc ReLuc

[BUGFIX] QGIS Server segfault when features does not have the same fields as the layer.

In some WFS GetFeature request, with Filter or FeatureId, all the fields are not well loaded in the feature.

To fix it, we just verifying that the attribute index is lesser than the feature fields count.

Fixes #14619

Revision 28d2547a - 2016-04-08 03:38 PM - René-Luc ReLuc

[BUGFIX] QGIS Server segfault when features does not have the same fields as the layer.

In some WFS GetFeature request, with Filter or FeatureId, all the fields are not well loaded in the feature.

To fix it, we just verifying that the attribute index is lesser than the feature fields count.

Fixes #14619

2024-04-25 1/2

http://127.0.0.1/cgi-bin/qgis_mapserv.fcgi?featureid=inventaire_gps.7061&amp;amp;geometryname=none&amp;amp;map=%2Fhome%2Fechant_messicol.qgs&amp;amp;outputformat=GeoJSON&amp;amp;request=GetFeature&amp;amp;service=WFS&amp;amp;typename=inventaire_gps&amp;amp;version=1.0.0
http://127.0.0.1/cgi-bin/qgis_mapserv.fcgi?featureid=inventaire_gps.7061&amp;amp;geometryname=none&amp;amp;map=%2Fhome%2Fechant_messicol.qgs&amp;amp;outputformat=GeoJSON&amp;amp;request=GetFeature&amp;amp;service=WFS&amp;amp;typename=inventaire_gps&amp;amp;version=1.0.0
http://127.0.0.1/cgi-bin/qgis_mapserv.fcgi?featureid=inventaire_gps.7061&amp;amp;geometryname=none&amp;amp;map=%2Fhome%2Fechant_messicol.qgs&amp;amp;outputformat=GeoJSON&amp;amp;request=GetFeature&amp;amp;service=WFS&amp;amp;typename=inventaire_gps&amp;amp;version=1.0.0


Revision 0aed3f71 - 2016-04-08 03:40 PM - René-Luc ReLuc

[BUGFIX] QGIS Server segfault when features does not have the same fields as the layer.

In some WFS GetFeature request, with Filter or FeatureId, all the fields are not well loaded in the feature.

To fix it, we just verifying that the attribute index is lesser than the feature fields count.

Fixes #14619

History

#1 - 2016-04-08 06:30 AM - René-Luc ReLuc

- Assignee set to René-Luc ReLuc

The real issue is that QGIS Server segfault when features does not have the same fields as the layer.

#2 - 2016-04-08 06:35 AM - René-Luc ReLuc

- Status changed from Open to Closed

Fixed in changeset commit:"a6aa85563193e07fbc83400f452d7a88a6569cfb".
